#!/bin/bash

COUNTCHROOT=`cat /etc/group | grep "chroot" | wc -l`

if let "$COUNTCHROOT == 0"
	then
		echo ""
		echo "adding group chroot..."
		/usr/sbin/addgroup chroot
	else
		echo ""
		echo "group chroot allready exists..."
	fi

if [ -e /etc/sudoers ]; 
	then
		SUDOLINE=`grep "%chroot ALL= NOPASSWD: /usr/sbin/chroot *" /etc/sudoers | wc -l`
		if let "$SUDOLINE == 0"
			then
				echo ""
				echo "adding chrooting to sudo config"
				echo "%chroot ALL= NOPASSWD: /usr/sbin/chroot *" >> /etc/sudoers
			else
				echo ""
				echo "sudo allready configured earlier"
			fi
	else
		echo ""
		echo "sudo has to be installed and the following added:"
		echo "%chroot ALL= NOPASSWD: /usr/sbin/chroot *"
	fi

echo ""
